[arch-commits] Commit in xfce4-wavelan-plugin/trunk (PKGBUILD tooltip.diff)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Nov 1 19:55:26 UTC 2009


    Date: Sunday, November 1, 2009 @ 14:55:26
  Author: andyrtr
Revision: 57719

upgpkg: xfce4-wavelan-plugin 0.5.5-1
    new version 0.5.5; added patch for tooltips

Added:
  xfce4-wavelan-plugin/trunk/tooltip.diff
Modified:
  xfce4-wavelan-plugin/trunk/PKGBUILD

--------------+
 PKGBUILD     |   19 +++++++++++--------
 tooltip.diff |   19 +++++++++++++++++++
 2 files changed, 30 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-01 19:34:06 UTC (rev 57718)
+++ PKGBUILD	2009-11-01 19:55:26 UTC (rev 57719)
@@ -3,24 +3,27 @@
 # Contributor: Tobias Kieslich <tobias (at) archlinux.org>
 
 pkgname=xfce4-wavelan-plugin
-pkgver=0.5.4
-pkgrel=4
+pkgver=0.5.5
+pkgrel=1
 pkgdesc="plugin to monitor wifi connectivity for the Xfce4 panel"
 arch=(i686 x86_64)
 license=('custom')
-url="http://xfce-goodies.berlios.de/"
+url="http://goodies.xfce.org/projects/panel-plugins/xfce4-wavelan-plugin/"
 groups=('xfce4-goodies')
 depends=('xfce4-panel')
 makedepends=('pkgconfig')
 options=('!libtool')
-source=(http://goodies.xfce.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz)
-md5sums=('b13993facb6b7a25ca81ac8cde9a9100')
+source=(http://goodies.xfce.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.bz2 tooltip.diff)
+md5sums=('1fa00ad9f24cc29536cb7622016c6a5e'
+         '923b1f2bf2d26cf01f784b6194f64d93')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 \
+  cd ${srcdir}/${pkgname}-${pkgver}
+  # fix tooltip, see http://bugzilla.xfce.org/show_bug.cgi?id=5866
+  patch -Np1 -i ${srcdir}/tooltip.diff || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib \
     --localstatedir=/var --disable-static
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
   install -Dm644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING
 }

Added: tooltip.diff
===================================================================
--- tooltip.diff	                        (rev 0)
+++ tooltip.diff	2009-11-01 19:55:26 UTC (rev 57719)
@@ -0,0 +1,19 @@
+diff -Naur xfce4-wavelan-plugin-0.5.5.old/panel-plugin/wavelan.c xfce4-wavelan-plugin-0.5.5/panel-plugin/wavelan.c
+--- xfce4-wavelan-plugin-0.5.5.old/panel-plugin/wavelan.c	2009-10-09 14:42:54.427988584 +0200
++++ xfce4-wavelan-plugin-0.5.5/panel-plugin/wavelan.c	2009-10-09 14:45:24.351280223 +0200
+@@ -199,6 +199,14 @@
+     if ((wavelan->device = wi_open(wavelan->interface)) != NULL) {
+       /* register the update timer */
+       TRACE ("Opened device");
++	  /* reduce the default tooltip timeout to be smaller than the update interval otherwise
++	   * we won't see tooltips on GTK 2.16 or newer */
++	  GtkSettings *settings;
++	  settings = gtk_settings_get_default();
++	  if (g_object_class_find_property(G_OBJECT_GET_CLASS(settings), "gtk-tooltip-timeout"))
++		  g_object_set(settings, "gtk-tooltip-timeout",
++					   250 - 10, NULL);
++
+       wavelan->timer_id = g_timeout_add(250, wavelan_timer, wavelan);
+     }
+   }
+




More information about the arch-commits mailing list